datablock AudioProfile(snailExplosionSound)
{
   filename    = "./snail.ogg";
   description = AudioDefault3d;
   preload = true;
};

datablock DebrisData(snailTireDebris)
{
   emitters = "JeepTireDebrisTrailEmitter";

	shapeFile = "";
	lifetime = 2.0;
	minSpinSpeed = -400.0;
	maxSpinSpeed = 200.0;
	elasticity = 0.5;
	friction = 0.2;
	numBounces = 3;
	staticOnMaxBounce = true;
	snapOnMaxBounce = false;
	fade = true;

	gravModifier = 2;
};


// Explosion
////////////
datablock ExplosionData(snailExplosion : vehicleExplosion)
{
   //explosionShape = "";
   lifeTimeMS = 150;

   soundProfile = snailExplosionSound;

   //particleDensity = 30;
   //particleRadius = 1.0;

   //debris = snailTireDebris;
   //debrisNum = 4;
   //debrisNumVariance = 0;
   //debrisPhiMin = 0;
   //debrisPhiMax = 360;
   //debrisThetaMin = 40;
   //debrisThetaMax = 85;
   //debrisVelocity = 14;
   //debrisVelocityVariance = 3;

   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = true;
   camShakeFreq = "7.0 8.0 7.0";
   camShakeAmp = "1.0 1.0 1.0";
   camShakeDuration = 0.5;
   camShakeRadius = 15.0;

   // Dynamic light
   lightStartRadius = 14;
   lightEndRadius = 3;
   lightStartColor = "0.9 0.3 0.1";
   lightEndColor = "0 0 0";

   //impulse
   impulseRadius = 10;
   impulseForce = 500;

   //radius damage
   radiusDamage        = 30;
   damageRadius        = 3.5;
};


// Projectile - you can't spawn explosions on the server, so we use a short-lived projectile
/////////////////////////////////
AddDamageType("snailDeathExplosion",   '<bitmap:add-ons/Map_AutumnPond/snail/snail> %1',    '%2 <bitmap:add-ons/Map_AutumnPond/snail/snail> %1');
datablock ProjectileData(snailExplosionProjectile : vehicleExplosionProjectile)
{
   directDamage        = 0;
   radiusDamage        = 0;
   damageRadius        = 0;
   explosion           = snailExplosion;

   directDamageType  = $DamageType::snailDeathExplosion;
   radiusDamageType  = $DamageType::snailDeathExplosion;

   explodeOnDeath		= 1;

   armingDelay         = 0;
   lifetime            = 0;

   uiName = "";
};